	addi r1 r0 1
	sll r1 r1 18
	sll r2 r1 1
	jump min_caml_start
min_caml_mul:                       #
	addi r5 r0 0                # result = 0    
	addi r6 r0 30               # count = 30    
	addi r7 r0 0x4000           # mask = 0x4000 
	sll r7 r7 16                # mask <<= 16
	bge r4 r0 min_caml_mul_pos  # if (right < 0) {
	sub r4 r0 r4                #   right = - right
min_caml_mul_neg:                   #   do {
	and r8 r4 r7                #     status = right & mask
	sll r5 r5 1                 #     result <<= 1
	be r8 r0 min_caml_mul_neg_b #     if (status) {
	sub r5 r5 r3                #       result -= left
min_caml_mul_neg_b:                 #     }
	sll r4 r4 1                 #     right <<= 1
	subi r6 r6 1                #     count -= 1
	bge r6 r0 min_caml_mul_neg  #   } while(count >= 0)
	add r3 r0 r5                #   return result
	jr r31                      # } else {
min_caml_mul_pos:                   #   do {
	and r8 r4 r7                #     status = right & mask
	sll r5 r5 1                 #     result <<= 1
	be r8 r0 min_caml_mul_pos_b #     if (status) {
	add r5 r5 r3                #       result += left
min_caml_mul_pos_b:                 #     }
	sll r4 r4 1                 #     right <<= 1
	subi r6 r6 1                #     count -= 1
	bge r6 r0 min_caml_mul_pos  #   } while(count >= 0)
	add r3 r0 r5                #   return result
	jr r31                      # }
min_caml_div:                       #
	bge r4 r0 min_caml_div_b    # if (right < 0) {
	sub r3 r0 r3                #   left = - left
	sub r4 r0 r4                #   right = - right
min_caml_div_b:                     # }
	addi r7 r0 0x4000           # mask = 0x4000 
	sll r7 r7 16                # mask <<= 16
	addi r5 r0 0                # result = 0
	addi r6 r0 0                # count = 0
min_caml_clz:                       # loop:
	and r8 r4 r7                # status = right & mask
	bne r8 r0 min_caml_clz_b    # if (status) {
	sll r4 r4 1                 #   right <<= 1
	addi r6 r6 1                #   count += 1
	jump min_caml_clz           #   goto loop
min_caml_clz_b:                     # }
	bge r3 r0 min_caml_div_pos  # if (left < 0) {
	sub r3 r0 r3                #   left = - left
min_caml_div_neg:                   #   do {
	sll r5 r5 1                 #     result <<= 1
	bl r3 r4 min_caml_div_neg_b #    if (left >= right) {
        addi r5 r5 1                #       result += 1
	sub r3 r3 r4                #       left -= right
min_caml_div_neg_b:	            #     }
	srr r4 r4 1                 #     right >>= 1
	subi r6 r6 1                #     count -= 1
	bge r6 r0 min_caml_div_neg  #   } while (count >= 0)
	sub r3 r0 r5                #   return - result
	jr r31                      # } else {
min_caml_div_pos:                   #   do {
	sll r5 r5 1                 #     result <<= 1
	bl r3 r4 min_caml_div_pos_b #     if (left >= right) {
        addi r5 r5 1                #       result += 1
	sub r3 r3 r4                #       left -= right
min_caml_div_pos_b:	            #     }
	srr r4 r4 1                 #     right >>= 1
	subi r6 r6 1                #     count -= 1
	bge r6 r0 min_caml_div_pos  #   } while (count >= 0)
	add r3 r0 r5                #   return result
	jr r31                      # }
min_caml_fequal:
	fbne r3 r4 min_caml_fequal_b
	addi r3 r0 1
	jr r31
min_caml_fequal_b:
	addi r3 r0 0
	jr r31
min_caml_fless:
	fbge r3 r4 min_caml_fless_b
	addi r3 r0 1
	jr r31
min_caml_fless_b:	
	addi r3 r0 0
	jr r31
min_caml_fispos:
	fble r3 r0 min_caml_fispos_b
	addi r3 r0 1
	jr r31
min_caml_fispos_b:	
	addi r3 r0 0
	jr r31
min_caml_fisneg:
	fbge r3 r0 min_caml_fisneg_b
	addi r3 r0 1
	jr r31
min_caml_fisneg_b:	
	addi r3 r0 0
	jr r31
min_caml_fiszero:
	fbne r3 r0 min_caml_fiszero_b
	addi r3 r0 1
	jr r31
min_caml_fiszero_b:	
	addi r3 r0 0
	jr r31
min_caml_xor:
	xor r3 r3 r4
	jr r31
min_caml_not:
	not r3 r3
	jr r31
min_caml_fabs:
	srr r4 r3 31
	sll r4 r4 31
	xor r3 r3 r4
	jr r31
min_caml_fneg:
	fsub r3 r0 r3
	jr r31
min_caml_sqrt:
	fsqrt r3 r3
	jr r31
min_caml_floor:
	addi r4 r0 0x4b80
	sll r4 r4 16
	fbl r3 r0 min_caml_floor_neg
	fsub r3 r3 r4
	fadd r3 r3 r4
	jr r31
min_caml_floor_neg:
	fadd r5 r3 r4
	fsub r5 r5 r4
	fbe r3 r5 min_caml_floor_neg_b
	addi r4 r0 0x4000
	sll r4 r4 16
	fsub r3 r5 r4
min_caml_floor_neg_b:
	jr r31
min_caml_fsqr:
	fmul r3 r3 r3
	jr r31
min_caml_fhalf:
	addi r4 r0 0x3FE0
	sll r4 r4 16
	fmul r3 r3 r4
	jr r31
min_caml_float_of_int:
	addi r4 r0 0x5700
	sll r4 r4 16
	addi r5 r0 0x4b80
	sll r5 r5 16
	bl r3 r0 min_caml_float_of_int_neg
	srr r6 r3 23
	sll r7 r6 23
	sub r7 r3 r7
	add r3 r0 r6
	add r6 r6 r4 # ʂ̐̌`ς
	add r7 r7 r5 # ʂ̐̌`ς
	fsub r6 r6 r4 # 2 ** 46Aʂ̐߂
	fsub r7 r7 r5 # 2 ** 22Aʂ̐߂
	fadd r3 r6 r7 # 悻̐܂
	fsub r6 r3 r6 # ʂ̐Ɖʂ̐Ɉ߂
	fsub r7 r6 r7 # Ă܂߂
	fadd r7 r7 r7 # {ɂ
	fsub r3 r3 r7 # 덷₤
	jr r31
min_caml_float_of_int_neg:
	sub r3 r0 r3
	srr r6 r3 23
	sll r7 r6 23
	sub r7 r3 r7
	add r3 r0 r6
	add r6 r6 r4
	add r7 r7 r5
	fsub r6 r6 r4
	fsub r7 r7 r5
	fadd r3 r6 r7
	fsub r6 r3 r6
	fsub r7 r6 r7
	fadd r7 r7 r7
	fsub r3 r7 r3
	jr r31
min_caml_int_of_float:
	addi r4 r0 0x5680
	sll r4 r4 16
	addi r5 r0 0x4b00
	sll r5 r5 16	
	fbl r3 r0 min_caml_int_of_float_neg
	fadd r6 r3 r4 # 2 ** 45𑫂Aďʂ̐߂
	fsub r7 r6 r4 # 2 ** 45߂̐Ɣׂ
	fsub r3 r3 r7 # Ă܂߂
	fadd r7 r3 r5 # 2 ** 22𑫂Aĉʂ̐߂
	sub r6 r6 r4 # ʂ̐̌`ς
	sub r7 r7 r5 # ʂ̐̌`ς
	sll r6 r6 22
	srr r3 r7 1 # ʂ̐𔼕ɂ
	sub r7 r7 r3 # 덷₤
	add r3 r6 r7
	jr r31
min_caml_int_of_float_neg:
	fsub r6 r4 r3
	fsub r7 r6 r4
	fadd r3 r3 r7
	fsub r7 r5 r3
	sub r6 r6 r4
	sub r7 r7 r5	
	sll r6 r6 22
	srr r3 r7 1
	sub r7 r7 r3
	add r3 r6 r7
	sub r3 r0 r3
	jr r31

min_caml_atan:
	addi r4 r3 0			# y = t
	addi r3 r0 0x4000		# x = 1.0
	sll r3 r3 16
	addi r5 r0 0			# z = 0.0
	addi r6 r0 0			# i = 0
	addi r7 r0 hi(min_caml_cordic_args)	# r7 <- args
	sll r7 r7 16
	addi r7 r7 lo(min_caml_cordic_args)
min_caml_atan_loop:
	srr r8 r3 23			# r8 <- pow_2(x, -i)
	sll r8 r8 23
	sub r9 r3 r8
	srr r8 r8 23
	sub r8 r8 r6
	sll r8 r8 23
	add r8 r8 r9
	srr r9 r4 23			# r9 <- pow_2(y, -i)
	sll r9 r9 23
	sub r10 r4 r9
	srr r9 r9 23
	sub r9 r9 r6
	sll r9 r9 23
	add r9 r9 r10
	add r10 r7 r6			# r10 <- arg + i
	load r10 r10 0			# r10 <- arg[i]
	fbl r4 r0 min_caml_atan_loop_b1		# if y < 0 then goto b1
	fbl r0 r4 min_caml_atan_loop_b2		# if 0 < y then goto b2
	addi r3 r5 0				# if y = 0 then return z
	jr r31
min_caml_atan_loop_b1:
	fsub r3 r3 r9
	fadd r4 r4 r8
	fsub r5 r5 r10
	jump min_caml_atan_loop_end
min_caml_atan_loop_b2:
	fadd r3 r3 r9
	fsub r4 r4 r8
	fadd r5 r5 r10
min_caml_atan_loop_end:
	addi r6 r6 1
	addi r8 r0 30
	bl r6 r8 min_caml_atan_loop
	addi r3 r5 0
	jr r31

min_caml_sin:
	fbl r3 r0 min_caml_sin_b1
	addi r4 r0 16768		# r4 <- 8.;
	sll r4 r4 16
	addi r5 r0 16585		# r5 <- PI;
	sll r5 r5 16
	addi r5 r5 4059
min_caml_sin_loop:			# x = sub_2pi(x)
	fbl r3 r4 min_caml_sin_b2
	srr r6 r3 23
	addi r6 r6 -130
	srr r7 r5 23
	sll r8 r7 23
	sub r8 r5 r8
	add r7 r7 r6
	sll r7 r7 23
	add r7 r7 r8
	fsub r3 r3 r7
	jump min_caml_sin_loop
min_caml_sin_b1:			# return -sin(-x)
	fsub r3 r0 r3
	store r31 r1 1
	addi r1 r1 1
	jal min_caml_sin
	subi r1 r1 1
	load r31 r1 1
	fsub r3 r0 r3
	jr r31
min_caml_sin_b2:			# if(PI*2 < x) x -= PI*2
	addi r4 r0 16713		# r4 <- M_PI * 2;
	sll r4 r4 16
	addi r4 r4 4059
	fbl r3 r4 min_caml_sin_b3
	fsub r3 r3 r4
min_caml_sin_b3:			# if(PI < x) return sin(x - PI)
	fbl r3 r5 min_caml_sin_b4
	fsub r3 r3 r5
	store r31 r1 1
	addi r1 r1 1
	jal min_caml_sin
	subi r1 r1 1
	load r31 r1 1
	fsub r3 r0 r3
	jr r31
min_caml_sin_b4:
	addi r6 r0 16457		# r6 <- M_PI/2;
	sll r6 r6 16
	addi r6 r6 4059
	fbl r3 r6 min_caml_sin_b5
	fsub r3 r5 r3
min_caml_sin_b5:
	addi r4 r0 16329		# r4 <- M_PI/4;
	sll r4 r4 16
	addi r4 r4 4059
	fbl r3 r4 min_caml_call_sin
	fsub r3 r6 r3
	jump min_caml_call_cos

min_caml_cos:
	fbl r0 r3 min_caml_cos_b1
	fsub r3 r0 r3
min_caml_cos_b1:
	addi r4 r0 16768		# r4 <- 8.;
	sll r4 r4 16
	addi r5 r0 16585		# r5 <- PI;
	sll r5 r5 16
	addi r5 r5 4059
min_caml_cos_loop:			# x = sub_2pi(x)
	fbl r3 r4 min_caml_cos_b2
	srr r6 r3 23
	addi r6 r6 -130
	srr r7 r5 23
	sll r8 r7 23
	sub r8 r5 r8
	add r7 r7 r6
	sll r7 r7 23
	add r7 r7 r8
	fsub r3 r3 r7
	jump min_caml_cos_loop
min_caml_cos_b2:			# if(PI*2 < x) x -= PI*2
	addi r4 r0 16713		# r4 <- M_PI * 2;
	sll r4 r4 16
	addi r4 r4 4059
	fbl r3 r4 min_caml_cos_b3
	fsub r3 r3 r4
min_caml_cos_b3:
	fbl r3 r5 min_caml_cos_b4
	fsub r3 r4 r3
min_caml_cos_b4:
	addi r6 r0 16457		# r6 <- M_PI/2;
	sll r6 r6 16
	addi r6 r6 4059
	fbl r3 r6 min_caml_cos_b5
	fsub r3 r5 r3
	store r31 r1 1
	addi r1 r1 1
	jal min_caml_cos
	subi r1 r1 1
	load r31 r1 1
	fsub r3 r0 r3
	jr r31
min_caml_cos_b5:
	addi r4 r0 16329		# r4 <- M_PI/4;
	sll r4 r4 16
	addi r4 r4 4059
	fbl r3 r4 min_caml_call_cos
	fsub r3 r6 r3
	jump min_caml_call_sin

min_caml_call_sin:
	jump taylor_sin
min_caml_call_cos:
	jump taylor_cos

#math_sin:
#	sin r3 r3
#	jr r31
#math_cos:
#	cos r3 r3
#	jr r31

taylor_sin:
	fmul r4 r3 r3
	addi r5 r0 14009		# r5 <- 1/9!
	sll r5 r5 16
	addi r5 r5 -4323
	fmul r6 r4 r5
	addi r5 r0 -17968		# r5 <- -1/7!
	sll r5 r5 16
	addi r5 r5 3329
	fadd r6 r6 r5
	fmul r6 r6 r4
	addi r5 r0 15497		# r5 <- 1/5!
	sll r5 r5 16
	addi r5 r5 -30583
	fadd r6 r6 r5
	fmul r6 r6 r4
	addi r5 r0 -16725		# r5 <- -1/3!
	sll r5 r5 16
	addi r5 r5 -21845
	fadd r6 r6 r5
	fmul r6 r6 r4
	addi r5 r0 16384		# r5 <- 1
	sll r5 r5 16
	fadd r6 r6 r5
	fmul r3 r6 r3
	jr r31
taylor_cos:
	fmul r4 r3 r3
	addi r5 r0 -19180		# r5 <- -1/10!
	sll r5 r5 16
	addi r5 r5 -3458
	fmul r6 r4 r5
	addi r5 r0 14416		# r5 <- 1/8!
	sll r5 r5 16
	addi r5 r5 3329
	fadd r6 r6 r5
	fmul r6 r6 r4
	addi r5 r0 -17610		# r5 <- -1/6!
	sll r5 r5 16
	addi r5 r5 2913
	fadd r6 r6 r5
	fmul r6 r6 r4
	addi r5 r0 15787		# r5 <- 1/4!
	sll r5 r5 16
	addi r5 r5 -21845
	fadd r6 r6 r5
	fmul r6 r6 r4
	addi r5 r0 -16512		# r5 <- -1/2!
	sll r5 r5 16
	fadd r6 r6 r5
	fmul r6 r6 r4
	addi r5 r0 16384		# r5 <- 1
	sll r5 r5 16
	fadd r3 r6 r5
	jr r31

#min_caml_read_int:
#	rd r3
#	subi r3 r3 48
#	bge r3 r0 min_caml_read_int_pos
#	rd r3
#	subi r3 r3 48
#min_caml_read_int_neg:
#	rd r5
#	subi r5 r5 48
#	bl r5 r0 min_caml_read_int_neg_b
#	addi r4 r0 10
#	addi r1 r1 2
#	store r31 r1 -1
#	store r5 r1 -2
#	jal min_caml_mul
#	load r5 r1 -2
#	load r31 r1 -1
#	subi r1 r1 2
#	add r3 r3 r5
#	jump min_caml_read_int_neg
#min_caml_read_int_pos:
#	rd r5
#	subi r5 r5 48
#	bl r5 r0 min_caml_read_int_pos_b
#	addi r4 r0 10
#	addi r1 r1 2
#	store r31 r1 -1
#	store r5 r1 -2
#	jal min_caml_mul
#	load r5 r1 -2
#	load r31 r1 -1
#	subi r1 r1 2
#	add r3 r3 r5
#	jump min_caml_read_int_pos
#min_caml_read_int_neg_b:
#	sub r3 r0 r3
#min_caml_read_int_pos_b:
#	jr r31
#	addi r1 r1 1
#	store r31 r1 -1
#	jal min_caml_read_int
#	jal min_caml_float_of_int
#	load r31 r1 -1
#	subi r1 r1 1
#	jr r31
min_caml_read_int:
min_caml_read_word:
	rd r3
	rd r4
	sll r4 r4 8
	add r3 r3 r4
	rd r4
	sll r4 r4 16
	add r3 r3 r4
	rd r4
	sll r4 r4 24
	add r3 r3 r4
	jr r31
min_caml_read_float:
	rd r3
	rd r4
	sll r4 r4 8
	add r3 r3 r4
	rd r4
	sll r4 r4 16
	add r3 r3 r4
	rd r4
	sll r4 r4 24
	add r3 r3 r4
	fbe r3 r0 min_caml_read_float_b
	addi r4 r0 0x0080
	sll r4 r4 16
	add r3 r3 r4 
min_caml_read_float_b:
	jr r31
min_caml_create_array:
min_caml_create_float_array:
	add r5 r2 r3
	add r3 r2 r0
min_caml_create_array_repeat:	
	bge r2 r5 min_caml_create_array_branch
	addi r2 r2 1
	store r4 r2 -1
	jump min_caml_create_array_repeat
min_caml_create_array_branch:	
	jr r31
min_caml_print_char:
	wr r3
	jr r31
min_caml_print_int:
	bge r3 r0 min_caml_print_int_pos
	addi r4 r0 45
	wr r4
	sub r3 r0 r3
min_caml_print_int_pos:
	addi r4 r0 10
	bl r3 r4 min_caml_print_int_pos_b
	addi r1 r1 3
	store r31 r1 -3
	store r3 r1 -2
	jal min_caml_div
	store r3 r1 -1
	jal min_caml_print_int_pos
	load r3 r1 -1
	addi r4 r0 10
	jal min_caml_mul
	load r4 r1 -2
	load r31 r1 -3
	subi r1 r1 3
	sub r3 r4 r3
min_caml_print_int_pos_b:
	addi r3 r3 48
	wr r3
	jr r31
#min_caml_print_int:	
#	srr r4 r3 0
#	wr r4
#	srr r4 r3 8
#	wr r4
#	srr r4 r3 16
#	wr r4
#	srr r4 r3 24
#	wr r4
#	jr r31
min_caml_n_objects:
	.word 0
min_caml_objects:
	.word min_caml_objects_item
	.word min_caml_objects_item
	.word min_caml_objects_item
	.word min_caml_objects_item
	.word min_caml_objects_item
	.word min_caml_objects_item
	.word min_caml_objects_item
	.word min_caml_objects_item
	.word min_caml_objects_item
	.word min_caml_objects_item
	.word min_caml_objects_item
	.word min_caml_objects_item
	.word min_caml_objects_item
	.word min_caml_objects_item
	.word min_caml_objects_item
	.word min_caml_objects_item
	.word min_caml_objects_item
	.word min_caml_objects_item
	.word min_caml_objects_item
	.word min_caml_objects_item
	.word min_caml_objects_item
	.word min_caml_objects_item
	.word min_caml_objects_item
	.word min_caml_objects_item
	.word min_caml_objects_item
	.word min_caml_objects_item
	.word min_caml_objects_item
	.word min_caml_objects_item
	.word min_caml_objects_item
	.word min_caml_objects_item
	.word min_caml_objects_item
	.word min_caml_objects_item
	.word min_caml_objects_item
	.word min_caml_objects_item
	.word min_caml_objects_item
	.word min_caml_objects_item
	.word min_caml_objects_item
	.word min_caml_objects_item
	.word min_caml_objects_item
	.word min_caml_objects_item
	.word min_caml_objects_item
	.word min_caml_objects_item
	.word min_caml_objects_item
	.word min_caml_objects_item
	.word min_caml_objects_item
	.word min_caml_objects_item
	.word min_caml_objects_item
	.word min_caml_objects_item
	.word min_caml_objects_item
	.word min_caml_objects_item
	.word min_caml_objects_item
	.word min_caml_objects_item
	.word min_caml_objects_item
	.word min_caml_objects_item
	.word min_caml_objects_item
	.word min_caml_objects_item
	.word min_caml_objects_item
	.word min_caml_objects_item
	.word min_caml_objects_item
	.word min_caml_objects_item
min_caml_objects_item:
	.word 0
	.word 0
	.word 0
	.word 0
	.word 0
	.word 0
	.word 0
	.word 0
	.word 0
	.word 0
	.word 0
min_caml_screen:
	.word 0
	.word 0
	.word 0
min_caml_viewpoint:
	.word 0
	.word 0
	.word 0
min_caml_light:
	.word 0
	.word 0
	.word 0
min_caml_beam:
	.word 0x43FF0000
min_caml_and_net:
	.word min_caml_and_net_item
	.word min_caml_and_net_item
	.word min_caml_and_net_item
	.word min_caml_and_net_item
	.word min_caml_and_net_item
	.word min_caml_and_net_item
	.word min_caml_and_net_item
	.word min_caml_and_net_item
	.word min_caml_and_net_item
	.word min_caml_and_net_item
	.word min_caml_and_net_item
	.word min_caml_and_net_item
	.word min_caml_and_net_item
	.word min_caml_and_net_item
	.word min_caml_and_net_item
	.word min_caml_and_net_item
	.word min_caml_and_net_item
	.word min_caml_and_net_item
	.word min_caml_and_net_item
	.word min_caml_and_net_item
	.word min_caml_and_net_item
	.word min_caml_and_net_item
	.word min_caml_and_net_item
	.word min_caml_and_net_item
	.word min_caml_and_net_item
	.word min_caml_and_net_item
	.word min_caml_and_net_item
	.word min_caml_and_net_item
	.word min_caml_and_net_item
	.word min_caml_and_net_item
	.word min_caml_and_net_item
	.word min_caml_and_net_item
	.word min_caml_and_net_item
	.word min_caml_and_net_item
	.word min_caml_and_net_item
	.word min_caml_and_net_item
	.word min_caml_and_net_item
	.word min_caml_and_net_item
	.word min_caml_and_net_item
	.word min_caml_and_net_item
	.word min_caml_and_net_item
	.word min_caml_and_net_item
	.word min_caml_and_net_item
	.word min_caml_and_net_item
	.word min_caml_and_net_item
	.word min_caml_and_net_item
	.word min_caml_and_net_item
	.word min_caml_and_net_item
	.word min_caml_and_net_item
	.word min_caml_and_net_item
min_caml_and_net_item:
	.word -1
min_caml_or_net:
	.word min_caml_or_net_item
min_caml_or_net_item:
	.word min_caml_and_net_item
min_caml_solver_dist:
	.word 0
min_caml_intsec_rectside:
	.word 0
min_caml_tmin:
	.word 0x4EEE6B28
min_caml_intersection_point:
	.word 0
	.word 0
	.word 0
min_caml_intersected_object_id:
	.word 0
min_caml_nvector:
	.word 0
	.word 0
	.word 0
min_caml_texture_color:
	.word 0
	.word 0
	.word 0
min_caml_diffuse_ray:
	.word 0
	.word 0
	.word 0
min_caml_rgb:
	.word 0
	.word 0
	.word 0
min_caml_image_size:
	.word 0
	.word 0
min_caml_image_center:
	.word 0
	.word 0
min_caml_scan_pitch:
	.word 0
min_caml_startp:
	.word 0
	.word 0
	.word 0
min_caml_startp_fast:
	.word 0
	.word 0
	.word 0
min_caml_screenx_dir:
	.word 0
	.word 0
	.word 0
min_caml_screeny_dir:
	.word 0
	.word 0
	.word 0
min_caml_screenz_dir:
	.word 0
	.word 0
	.word 0
min_caml_ptrace_dirvec:
	.word 0
	.word 0
	.word 0	
min_caml_dirvecs:
	.word 0
	.word 0
	.word 0
	.word 0
	.word 0
min_caml_light_dirvec:
	.word min_caml_light_dirvec_leftitem
	.word min_caml_light_dirvec_rightitem
min_caml_light_dirvec_leftitem:
	.word 0
	.word 0
	.word 0
min_caml_light_dirvec_rightitem:
	.word 0
	.word 0
	.word 0
	.word 0
	.word 0
	.word 0
	.word 0
	.word 0
	.word 0
	.word 0
	.word 0
	.word 0
	.word 0
	.word 0
	.word 0
	.word 0
	.word 0
	.word 0
	.word 0
	.word 0
	.word 0
	.word 0
	.word 0
	.word 0
	.word 0
	.word 0
	.word 0
	.word 0
	.word 0
	.word 0
	.word 0
	.word 0
	.word 0
	.word 0
	.word 0
	.word 0
	.word 0
	.word 0
	.word 0
	.word 0
	.word 0
	.word 0
	.word 0
	.word 0
	.word 0
	.word 0
	.word 0
	.word 0
	.word 0
	.word 0
	.word 0
	.word 0
	.word 0
	.word 0
	.word 0
	.word 0
	.word 0
	.word 0
	.word 0
	.word 0
min_caml_reflections:
	.word min_caml_reflections_item
	.word min_caml_reflections_item
	.word min_caml_reflections_item
	.word min_caml_reflections_item
	.word min_caml_reflections_item
	.word min_caml_reflections_item
	.word min_caml_reflections_item
	.word min_caml_reflections_item
	.word min_caml_reflections_item
	.word min_caml_reflections_item
	.word min_caml_reflections_item
	.word min_caml_reflections_item
	.word min_caml_reflections_item
	.word min_caml_reflections_item
	.word min_caml_reflections_item
	.word min_caml_reflections_item
	.word min_caml_reflections_item
	.word min_caml_reflections_item
	.word min_caml_reflections_item
	.word min_caml_reflections_item
	.word min_caml_reflections_item
	.word min_caml_reflections_item
	.word min_caml_reflections_item
	.word min_caml_reflections_item
	.word min_caml_reflections_item
	.word min_caml_reflections_item
	.word min_caml_reflections_item
	.word min_caml_reflections_item
	.word min_caml_reflections_item
	.word min_caml_reflections_item
	.word min_caml_reflections_item
	.word min_caml_reflections_item
	.word min_caml_reflections_item
	.word min_caml_reflections_item
	.word min_caml_reflections_item
	.word min_caml_reflections_item
	.word min_caml_reflections_item
	.word min_caml_reflections_item
	.word min_caml_reflections_item
	.word min_caml_reflections_item
	.word min_caml_reflections_item
	.word min_caml_reflections_item
	.word min_caml_reflections_item
	.word min_caml_reflections_item
	.word min_caml_reflections_item
	.word min_caml_reflections_item
	.word min_caml_reflections_item
	.word min_caml_reflections_item
	.word min_caml_reflections_item
	.word min_caml_reflections_item
	.word min_caml_reflections_item
	.word min_caml_reflections_item
	.word min_caml_reflections_item
	.word min_caml_reflections_item
	.word min_caml_reflections_item
	.word min_caml_reflections_item
	.word min_caml_reflections_item
	.word min_caml_reflections_item
	.word min_caml_reflections_item
	.word min_caml_reflections_item
	.word min_caml_reflections_item
	.word min_caml_reflections_item
	.word min_caml_reflections_item
	.word min_caml_reflections_item
	.word min_caml_reflections_item
	.word min_caml_reflections_item
	.word min_caml_reflections_item
	.word min_caml_reflections_item
	.word min_caml_reflections_item
	.word min_caml_reflections_item
	.word min_caml_reflections_item
	.word min_caml_reflections_item
	.word min_caml_reflections_item
	.word min_caml_reflections_item
	.word min_caml_reflections_item
	.word min_caml_reflections_item
	.word min_caml_reflections_item
	.word min_caml_reflections_item
	.word min_caml_reflections_item
	.word min_caml_reflections_item
	.word min_caml_reflections_item
	.word min_caml_reflections_item
	.word min_caml_reflections_item
	.word min_caml_reflections_item
	.word min_caml_reflections_item
	.word min_caml_reflections_item
	.word min_caml_reflections_item
	.word min_caml_reflections_item
	.word min_caml_reflections_item
	.word min_caml_reflections_item
	.word min_caml_reflections_item
	.word min_caml_reflections_item
	.word min_caml_reflections_item
	.word min_caml_reflections_item
	.word min_caml_reflections_item
	.word min_caml_reflections_item
	.word min_caml_reflections_item
	.word min_caml_reflections_item
	.word min_caml_reflections_item
	.word min_caml_reflections_item
	.word min_caml_reflections_item
	.word min_caml_reflections_item
	.word min_caml_reflections_item
	.word min_caml_reflections_item
	.word min_caml_reflections_item
	.word min_caml_reflections_item
	.word min_caml_reflections_item
	.word min_caml_reflections_item
	.word min_caml_reflections_item
	.word min_caml_reflections_item
	.word min_caml_reflections_item
	.word min_caml_reflections_item
	.word min_caml_reflections_item
	.word min_caml_reflections_item
	.word min_caml_reflections_item
	.word min_caml_reflections_item
	.word min_caml_reflections_item
	.word min_caml_reflections_item
	.word min_caml_reflections_item
	.word min_caml_reflections_item
	.word min_caml_reflections_item
	.word min_caml_reflections_item
	.word min_caml_reflections_item
	.word min_caml_reflections_item
	.word min_caml_reflections_item
	.word min_caml_reflections_item
	.word min_caml_reflections_item
	.word min_caml_reflections_item
	.word min_caml_reflections_item
	.word min_caml_reflections_item
	.word min_caml_reflections_item
	.word min_caml_reflections_item
	.word min_caml_reflections_item
	.word min_caml_reflections_item
	.word min_caml_reflections_item
	.word min_caml_reflections_item
	.word min_caml_reflections_item
	.word min_caml_reflections_item
	.word min_caml_reflections_item
	.word min_caml_reflections_item
	.word min_caml_reflections_item
	.word min_caml_reflections_item
	.word min_caml_reflections_item
	.word min_caml_reflections_item
	.word min_caml_reflections_item
	.word min_caml_reflections_item
	.word min_caml_reflections_item
	.word min_caml_reflections_item
	.word min_caml_reflections_item
	.word min_caml_reflections_item
	.word min_caml_reflections_item
	.word min_caml_reflections_item
	.word min_caml_reflections_item
	.word min_caml_reflections_item
	.word min_caml_reflections_item
	.word min_caml_reflections_item
	.word min_caml_reflections_item
	.word min_caml_reflections_item
	.word min_caml_reflections_item
	.word min_caml_reflections_item
	.word min_caml_reflections_item
	.word min_caml_reflections_item
	.word min_caml_reflections_item
	.word min_caml_reflections_item
	.word min_caml_reflections_item
	.word min_caml_reflections_item
	.word min_caml_reflections_item
	.word min_caml_reflections_item
	.word min_caml_reflections_item
	.word min_caml_reflections_item
	.word min_caml_reflections_item
	.word min_caml_reflections_item
	.word min_caml_reflections_item
	.word min_caml_reflections_item
	.word min_caml_reflections_item
	.word min_caml_reflections_item
	.word min_caml_reflections_item
	.word min_caml_reflections_item
	.word min_caml_reflections_item
	.word min_caml_reflections_item
min_caml_reflections_item:
	.word 0
	.word 0
	.word 0
min_caml_n_reflections:
	.word 0
min_caml_cordic_args:
	.word 0x3FC90FDB
	.word 0x3F6D6338
	.word 0x3EFADBB0
	.word 0x3E7EADD5
	.word 0x3DFFAADE
	.word 0x3D7FEAAE
	.word 0x3CFFFAAB
	.word 0x3C7FFEAB
	.word 0x3BFFFFAB
	.word 0x3B7FFFEB
	.word 0x3AFFFFFB
	.word 0x3A7FFFFF
	.word 0x3A000000
	.word 0x39800000
	.word 0x39000000
	.word 0x38800000
	.word 0x38000000
	.word 0x37800000
	.word 0x37000000
	.word 0x36800000
	.word 0x36000000
	.word 0x35800000
	.word 0x35000000
	.word 0x34800000
	.word 0x34000000
	.word 0x33800000
	.word 0x33000000
	.word 0x32800000
	.word 0x32000000
	.word 0x31800000

